Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ACG::GLPartialDisk Class Reference
Inheritance diagram for ACG::GLPartialDisk:

## Public Member Functions
| GLPartialDisk (int _slices, int _loops, float _innerRadius, float _outerRadius, float _startAngle, float _sweepAngle)
void | setInnerRadius (float _innerRadius)
void | setOuterRadius (float _outerRadius)
int | getNumTriangles ()
void | draw (GLState &_state, const ACG::Vec3f &_center=ACG::Vec3f(0.0f, 0.0f, 0.0f), ACG::Vec3f _upDir=ACG::Vec3f(0.0f, 0.0f, 1.0f))
Public Member Functions inherited from ACG::GLPrimitive
void | draw_primitive ()
void | addToRenderer_primitive (class IRenderer *_renderer, struct RenderObject *_ro)
virtual int | getNumLines ()
unsigned int | getVBO ()
const VertexDeclaration * | getVertexDecl () const

## Protected Member Functions
void | updateVBO ()
Protected Member Functions inherited from ACG::GLPrimitive
void | addTriangleToVBO (const ACG::Vec3f *_p, const ACG::Vec3f *_n, const ACG::Vec2f *_tex)
void | addLineToVBO (const ACG::Vec3f *_p, const ACG::Vec3f *_n, const ACG::Vec2f *_tex)
void | bindVBO ()
bool | checkVBO ()
void | unBindVBO ()

## Private Attributes
int | slices_
int | loops_
float | innerRadius_
float | outerRadius_
float | startAngle_
float | sweepAngle_

## Additional Inherited Members
Public Types inherited from ACG::GLPrimitive
enum | NormalOrientation { OUTSIDE, INSIDE }
Protected Attributes inherited from ACG::GLPrimitive
bool | vboDataInvalid_
NormalOrientation | normalOrientation_

## Detailed Description

Definition at line 223 of file GLPrimitives.hh.

## Constructor & Destructor Documentation

ACG::GLPartialDisk::GLPartialDisk | ( | int | _slices,
|  | int | _loops,
|  | float | _innerRadius,
|  | float | _outerRadius,
|  | float | _startAngle,
|  | float | _sweepAngle
| ) |  |

Parameters

  [in] | _slices | the number of slices that subdivide the partial disk has to be at least 2
  [in] | _loops | the number of loops that subdivide the slices has to be at least 1
  [in] | _innerRadius | the inner radius should not be smaller than zero and greater than the outer radius
  [in] | _outerRadius | the outer radius should not be zero or smaller than zero
  [in] | _startAngle | the angle at which the partial disk starts
  [in] | _sweepAngle | the angle at which the partial disk ends

Definition at line 719 of file GLPrimitives.cc.

The documentation for this class was generated from the following files:

- ACG/GL/GLPrimitives.hh
- ACG/GL/GLPrimitives.cc